package cn.kdan.pdf.tech.core.service;

import cn.kdan.pdf.tech.core.model.VppCompany;
import cn.kdan.pdf.tech.core.pojo.vo.VppTeamMenberVO;

import java.util.List;

/**
 * @author tangxiangan
 */
public interface VppCompanyService {

    /**
     * 获取当前登录用户的公司
     * @return VppCompany
     */
    VppCompany getUserCompany();

    VppCompany getById(String id);

    /**
     * 获取当前登录用户的公司所有用户，除超管
     * @return
     */
    List<VppTeamMenberVO> getComponyMenber();

    void insert(VppCompany vppCompany);

    /**
     * 获取总数
     *
     * @return 总行数
     */
    long count();

}
